Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

The first 2 bytes of the underlying buffer are reserved for the enumerated value. When the is used to store a serialized , the third and fourth bytes are used to store port number information. The next bytes are used to store the IP address. You can access any information within this underlying byte buffer by referring to its index position; the byte buffer uses zero-based indexing. You can also use the and properties to get the value and the buffer size, respectively. To view any of this information as a string, use the method.

Stores serialized information from derived classes.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This overload sets the underlying buffer size to 32 bytes.

  Creates a new instance of the class for the given address family.

  An enumerated value.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  is less than 2.

  Use this overload to create a new instance of the class with a particular underlying buffer size.

  Creates a new instance of the class using the specified address family and buffer size.

  An enumerated value.
  The number of bytes to allocate for the underlying buffer.
  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  A where indicates is an instance of the class and contains the same data as the current instance; otherwise .

  This method overrides .

  Determines whether the specified is equal to the current instance.

  The specified to compare with the current instance. 0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.AddressFamily

  One of the values defined in the enumeration.

  This method gets the enumerated value that represents the addressing scheme of the current . If you want to view the corresponding string representation of , use the method.

  Gets the enumerated value of the current .

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  A containing the hash code for the current instance.

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte `` A containing the zero-based index of the element to get or set.

  Gets or sets the element at the specified index of the array storing the socket address.

  A containing the element at the specified index.

  To be added.

  is < 0.

  -or-

  >= .

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  A containing the length of the array storing the socket address.

  This property gets the underlying buffer size of the in bytes.

  Gets the underlying buffer size of the .

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  The following example writes a socket address to the console.

  `using System; using System.Net; using System.Net.Sockets; public class SocketAddressToString{ public static void Main() { Console.WriteLine("This is a minimal SocketAddress."); SocketAddress socketAddress = new SocketAddress(AddressFamily.InterNetwork); Console.WriteLine("{0}", socketAddress.ToString()); } }`

  The output is

  This is a minimal SocketAddress.

  InterNetwork:32:{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}

  The method returns a string that contains the enumerated value, the size of the underlying buffer of the structure, and the remaining contents of the buffer.

  Returns information about the socket address.

  A string that contains information about the .

  0
0